## org.eclipse.emf.codegen.jet
Class JETSkeleton

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETSkeleton

    public class JETSkeleton

extends java.lang.Object

Field Summary
`protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `compilationUnit`
`protected java.lang.String` `CREATE_METHOD_DECLARATION_HEAD`
`protected java.lang.String` `CREATE_METHOD_DECLARATION_MIDDLE`
`protected java.lang.String` `CREATE_METHOD_DECLARATION_MIDDLE2`
`protected java.lang.String` `CREATE_METHOD_DECLARATION_TAIL`
`protected org.eclipse.jdt.core.jdom.DOMFactory` `jdomFactory`
`protected java.lang.String` `NL`
`protected java.lang.String` `NL_DECLARATION`
`protected java.lang.String` `NL_DECLARATION_TAIL`
`protected static java.util.regex.Pattern` `NL_PATTERN`
`protected java.lang.String` `nlString`
`protected java.lang.String` `SKELETON_COMPILATION_UNIT`
`protected java.lang.String` `STATIC_NL_DECLARATION`
`protected java.lang.String` `STRING_BUFFER_DECLARATION`
`protected java.lang.String` `STRING_BUFFER_RETURN`

Constructor Summary
`JETSkeleton()`

Method Summary
`void` `addImports(java.lang.String importList)`
`java.lang.String` `convertLineFeed(java.lang.String value)`
`java.lang.String` `getClassName()`
`org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `getCompilationUnit()`
`java.lang.String` `getCompilationUnitContents()`
`protected org.eclipse.jdt.core.jdom.IDOMMethod` `getLastMethod()`
`java.lang.String` `getMethodName()`
`java.lang.String` `getNLString()`
`java.lang.String` `getPackageName()`
`void` `setBody(java.util.List<java.lang.String> lines)`
`void` `setClassName(java.lang.String className)`
`void` `setCompilationUnitContents(java.lang.String contents)`
`void` `setConstants(java.util.List<java.lang.String> constants)`
`void` `setNLString(java.lang.String nlString)`
`void` `setPackageName(java.lang.String packageName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NL

    protected final java.lang.String NL

### SKELETON_COMPILATION_UNIT

    protected final java.lang.String SKELETON_COMPILATION_UNIT

### STATIC_NL_DECLARATION

    protected final java.lang.String STATIC_NL_DECLARATION

### CREATE_METHOD_DECLARATION_HEAD

    protected final java.lang.String CREATE_METHOD_DECLARATION_HEAD

See Also:
  Constant Field Values

### CREATE_METHOD_DECLARATION_MIDDLE

    protected final java.lang.String CREATE_METHOD_DECLARATION_MIDDLE

### CREATE_METHOD_DECLARATION_MIDDLE2

    protected final java.lang.String CREATE_METHOD_DECLARATION_MIDDLE2

See Also:
  Constant Field Values

### CREATE_METHOD_DECLARATION_TAIL

    protected final java.lang.String CREATE_METHOD_DECLARATION_TAIL

### NL_DECLARATION

    protected final java.lang.String NL_DECLARATION

See Also:
  Constant Field Values

### NL_DECLARATION_TAIL

    protected final java.lang.String NL_DECLARATION_TAIL

### STRING_BUFFER_DECLARATION

    protected final java.lang.String STRING_BUFFER_DECLARATION

### STRING_BUFFER_RETURN

    protected final java.lang.String STRING_BUFFER_RETURN

### jdomFactory

    protected org.eclipse.jdt.core.jdom.DOMFactory jdomFactory

### compilationUnit

    protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit

### nlString

    protected java.lang.String nlString

### NL_PATTERN

    protected static final java.util.regex.Pattern NL_PATTERN

Constructor Detail

### JETSkeleton

    public JETSkeleton()

Method Detail

### getCompilationUnitContents

    public java.lang.String getCompilationUnitContents()

### getCompilationUnit

    public org.eclipse.jdt.core.jdom.IDOMCompilationUnit getCompilationUnit()

### setCompilationUnitContents

    public void setCompilationUnitContents(java.lang.String contents)

### getNLString

    public java.lang.String getNLString()

### setNLString

    public void setNLString(java.lang.String nlString)

### getPackageName

    public java.lang.String getPackageName()

### setPackageName

    public void setPackageName(java.lang.String packageName)

### setConstants

    public void setConstants(java.util.List<java.lang.String> constants)

### setBody

    public void setBody(java.util.List<java.lang.String> lines)

### convertLineFeed

    public java.lang.String convertLineFeed(java.lang.String value)

### getMethodName

    public java.lang.String getMethodName()

### addImports

    public void addImports(java.lang.String importList)

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getLastMethod

    protected org.eclipse.jdt.core.jdom.IDOMMethod getLastMethod()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.